{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "ui-design-system": {
      "projectType": "library",
      "root": "projects/ui-design-system",
      "sourceRoot": "projects/ui-design-system/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-design-system/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-design-system/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-design-system/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-design-system/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "shared-utils": {
      "projectType": "library",
      "root": "projects/shared-utils",
      "sourceRoot": "projects/shared-utils/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/shared-utils/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/shared-utils/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/shared-utils/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/shared-utils/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-essentials": {
      "projectType": "library",
      "root": "projects/ui-essentials",
      "sourceRoot": "projects/ui-essentials/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-essentials/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-essentials/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-essentials/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-essentials/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "demo-ui-essentials": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/demo-ui-essentials",
      "sourceRoot": "projects/demo-ui-essentials/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:application",
          "options": {
            "outputPath": "dist/demo-ui-essentials",
            "index": "projects/demo-ui-essentials/src/index.html",
            "browser": "projects/demo-ui-essentials/src/main.ts",
            "polyfills": [
              "zone.js"
            ],
            "tsConfig": "projects/demo-ui-essentials/tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              {
                "glob": "**/*",
                "input": "projects/demo-ui-essentials/public"
              }
            ],
            "styles": [
              "projects/demo-ui-essentials/src/styles.scss"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "500kB",
                  "maximumError": "1MB"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "4kB",
                  "maximumError": "8kB"
                }
              ],
              "outputHashing": "all"
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "demo-ui-essentials:build:production"
            },
            "development": {
              "buildTarget": "demo-ui-essentials:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ],
            "tsConfig": "projects/demo-ui-essentials/tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              {
                "glob": "**/*",
                "input": "projects/demo-ui-essentials/public"
              }
            ],
            "styles": [
              "projects/demo-ui-essentials/src/styles.scss"
            ],
            "scripts": []
          }
        }
      }
    },
    "ui-animations": {
      "projectType": "library",
      "root": "projects/ui-animations",
      "sourceRoot": "projects/ui-animations/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-animations/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-animations/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-animations/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-animations/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-accessibility": {
      "projectType": "library",
      "root": "projects/ui-accessibility",
      "sourceRoot": "projects/ui-accessibility/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-accessibility/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-accessibility/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-accessibility/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-accessibility/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-data-utils": {
      "projectType": "library",
      "root": "projects/ui-data-utils",
      "sourceRoot": "projects/ui-data-utils/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-data-utils/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-data-utils/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-data-utils/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-data-utils/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "hcl-studio": {
      "projectType": "library",
      "root": "projects/hcl-studio",
      "sourceRoot": "projects/hcl-studio/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/hcl-studio/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/hcl-studio/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/hcl-studio/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/hcl-studio/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-font-manager": {
      "projectType": "library",
      "root": "projects/ui-font-manager",
      "sourceRoot": "projects/ui-font-manager/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-font-manager/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-font-manager/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-font-manager/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-font-manager/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-code-display": {
      "projectType": "library",
      "root": "projects/ui-code-display",
      "sourceRoot": "projects/ui-code-display/src",
      "prefix": "ui",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-code-display/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-code-display/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-code-display/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-code-display/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-backgrounds": {
      "projectType": "library",
      "root": "projects/ui-backgrounds",
      "sourceRoot": "projects/ui-backgrounds/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-backgrounds/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-backgrounds/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-backgrounds/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-backgrounds/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    },
    "ui-landing-pages": {
      "projectType": "library",
      "root": "projects/ui-landing-pages",
      "sourceRoot": "projects/ui-landing-pages/src",
      "prefix": "ui",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/ui-landing-pages/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/ui-landing-pages/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/ui-landing-pages/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/ui-landing-pages/tsconfig.spec.json",
            "polyfills": [
              "zone.js",
              "zone.js/testing"
            ]
          }
        }
      }
    }
  }
}
